Subject: Bug#744: [X2Go-Dev] Bug#744: user-local keystrokes.cfg does not work

From: Mihai Moldovan <[email-masked]>
Date: Thu, 15 Jan 2015 21:57:27 +0100

On 15.01.2015 04:10 PM, Horst Schirmeier wrote:
>  debian/wrappers/x2goagent | 12 ++++++++++--
>  1 file changed, 10 insertions(+), 2 deletions(-)
>
> diff --git a/debian/wrappers/x2goagent b/debian/wrappers/x2goagent
> index 129c7ca..750c651 100644
> --- a/debian/wrappers/x2goagent
> +++ b/debian/wrappers/x2goagent
> @@ -29,7 +29,15 @@ test -x $NX_LIBS/../x2go/bin/$NXAPP && export NX_LIBS=$NX_LIBS
>  
>  export LD_LIBRARY_PATH
>  
> -NXAGENT_KEYSTROKEFILE=/etc/x2go/keystrokes.cfg
> -export NXAGENT_KEYSTROKEFILE
> +for CONFIG in ~/.x2go/config/keystrokes.cfg ~/.nx/config/keystrokes.cfg \
> +              /etc/x2go/keystrokes.cfg /etc/nxagent/keystrokes.cfg

Do we actually WANT to make ~/.nx/foo override /etc/x2go/foo *for
x2goagent*? Or do we rather want to get rid of ~/.nx and /etc/nxagent
entirely within x2go components (which, really, would make some sort of
sense, especially if $SOMETHING created ~/.nx/config/keystrokes.cfg and
users wonder why /etc/x2go/keystrokes.cfg does not take any effect.)

Actually, I see another problem there. Wouldn't it be smarter to
consider both ~/.x2go/foo and /etc/x2go/keystrokes.cfg (if existent),
with values in ~/.x2go/foo overriding those of the global configuration
file? A priority-based merge would really be the thing we're looking
for. I've got something like that lying around.

It's not exactly small, though. And would benefit from being shared
code, as it could (and also would) be used in both x2goagent and x2goserver.

Mihai